Method: projects.locations.sampleQuerySets.sampleQueries.import

ייבוא בכמות גדולה של כמה SampleQuery. יכול להיות ששאילתות לדוגמה שכבר קיימות יימחקו.

הערה: יכול להיות שרק חלק מה-SampleQuery יובאו בהצלחה.

בקשת HTTP

POST https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*/sampleQuerySets/*}/sampleQueries:import

כתובת ה-URL כתובה בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
parent

string

חובה. שם המשאב של קבוצת שאילתות לדוגמה, כמו projects/{project}/locations/{location}/sampleQuerySets/{sampleQuerySet}.

אם למבצע הקריאה אין הרשאה להציג רשימה של SampleQuerys במסגרת קבוצת השאילתות לדוגמה הזו, בין אם קבוצת השאילתות לדוגמה הזו קיימת ובין אם לא, מוחזרת שגיאת PERMISSION_DENIED.

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "errorConfig": {
    object (ImportErrorConfig)
  },

  // Union field source can be only one of the following:
  "inlineSource": {
    object (InlineSource)
  },
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of list of possible types for union field source.
}
שדות
errorConfig

object (ImportErrorConfig)

המיקום הרצוי של השגיאות שמתרחשות במהלך הייבוא.

שדה איחוד source. המקור של השאילתות לדוגמה. הערך source יכול להיות רק אחד מהבאים:
inlineSource

object (InlineSource)

המקור המוטבע של רשומות שאילתה לדוגמה.

gcsSource

object (GcsSource)

מיקום ב-Cloud Storage של תוכן הקלט.

bigquerySource

object (BigQuerySource)

מקור קלט של BigQuery.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Operation.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב parent:

  • discoveryengine.sampleQueries.import

מידע נוסף מופיע במאמרי העזרה בנושא IAM.

InlineSource

המקור בפסקה של SampleQuery.

ייצוג ב-JSON
{
  "sampleQueries": [
    {
      object (SampleQuery)
    }
  ]
}
שדות
sampleQueries[]

object (SampleQuery)

חובה. רשימה של SampleQuery לייבוא. מקסימום 1,000 פריטים.